## libhmsbeagle 4.0.1%2Bdfsg

=== libhmsbeagle/GPU/CMakeLists.txt ===

find_package(OpenCL)
if(OpenCL_FOUND AND BUILD_OPENCL)
    message(STATUS "OpenCL Includes: ${OpenCL_INCLUDE_DIRS}")
    message(STATUS "OpenCL Libraries: ${OpenCL_LIBRARIES}")
    add_subdirectory("CMake_OpenCL")
endif(OpenCL_FOUND AND BUILD_OPENCL)

find_package(CUDA)
if(CUDA_FOUND AND BUILD_CUDA)
    message(STATUS "CUDA Includes: ${CUDA_INCLUDE_DIRS}")
    add_subdirectory("CMake_CUDA")
endif(CUDA_FOUND AND BUILD_CUDA)

=== libhmsbeagle/JNI/CMakeLists.txt ===
# clang++ -dynamiclib -undefined dynamic_lookup -o libhmsbeagle-jni.jnilib beagle_BeagleJNIWrapper.o
# cc -bundle -l hmsbeagle -o libhmsbeagle-jni.jnilib beagle_BeagleJNIWrapper.o

add_library(hmsbeagle-jni SHARED
        beagle_BeagleJNIWrapper.cpp
        beagle_BeagleJNIWrapper.h
        )

target_link_libraries(hmsbeagle-jni hmsbeagle)

if(APPLE)
    set_target_properties(hmsbeagle-jni PROPERTIES PREFIX "lib" SUFFIX ".jnilib")
elseif(WIN32)
    set_target_properties(hmsbeagle-jni PROPERTIES PREFIX "" SUFFIX "64.dll")
elseif(UNIX)
    set_target_properties(hmsbeagle-jni PROPERTIES PREFIX "lib" SUFFIX ".so")
endif(APPLE)

install(TARGETS hmsbeagle-jni
        DESTINATION ${BEAGLE_INSTALL_DIR}
        )

=== libhmsbeagle/GPU/CMake_CUDA/CMakeLists.txt ===

include_directories(
        ${CUDA_INCLUDE_DIRS}
)

add_definitions(-DCUDA)

link_directories(${CUDA_TOOLKIT_ROOT_DIR}/lib
     ${CUDA_TOOLKIT_ROOT_DIR}/lib/x64
     ${CUDA_TOOLKIT_ROOT_DIR}/lib64
     )

if(WIN32)
    set(NVCC "nvcc.exe")
    set(NVCCFLAGS "-O3 -Wno-deprecated-gpu-targets")
    set(NVCC_INC "-I../../..")
    set(CMD_NAME createCUDAKernels.bat)
else(WIN32)
    set(NVCC "${CUDA_TOOLKIT_ROOT_DIR}/bin/nvcc")
    set(NVCCFLAGS "-O3 -Wno-deprecated-gpu-targets -ccbin ${CMAKE_CXX_COMPILER} -m64 -D_POSIX_C_SOURCE -std=c++11")
    set(NVCC_INC "-I${CMAKE_SOURCE_DIR}")
     set(CMD_NAME make_cuda_kernels.sh)
endif(WIN32)

add_custom_command(
        OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/../kernels/BeagleCUDA_kernels.h
        COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/../kernels/${CMD_NAME} ${NVCC} "${NVCCFLAGS}" "${NVCC_INC}"
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/../kernels
        DEPENDS "../kernels/kernels4.cu" "../kernels/kernels4Derivatives.cu" "../kernels/kernelsXDerivatives.cu" "../kernels/kernelsAll.cu"
        COMMENT "Building CUDA kernels"
        VERBATIM)

add_custom_target(CudaKernels DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/../kernels/BeagleCUDA_kernels.h)

add_library(hmsbeagle-cuda SHARED
        ../BeagleGPUImpl.h
        ../BeagleGPUImpl.hpp
        ../GPUImplDefs.h
        ../GPUImplHelper.cpp
        ../GPUImplHelper.h
        ../GPUInterfaceCUDA.cpp
        ../KernelLauncher.cpp
        ../KernelLauncher.h
        ../KernelResource.cpp
        ../KernelResource.h
        ../CUDAPlugin.cpp
        ../CUDAPlugin.h
        ../Precision.h
        )

add_dependencies(hmsbeagle-cuda CudaKernels)

target_link_libraries(hmsbeagle-cuda cuda ${CUDA_LIBRARIES})

install(TARGETS hmsbeagle-cuda
    DESTINATION ${BEAGLE_INSTALL_DIR}
    COMPONENT cuda
    )

SET_TARGET_PROPERTIES(hmsbeagle-cuda
    PROPERTIES
    SOVERSION "${BEAGLE_PLUGIN_VERSION_EXTENDED}"
	SUFFIX "${BEAGLE_PLUGIN_SUFFIX}"
    )

## libhmsbeagle 1.0

=== debian/changelog ===
libhmsbeagle (1.0-6) unstable; urgency=low

  * debian/upstream:
     - Make authors BibTeX compliant
     - Add some publication info (volume, number, pages)
  * debian/get-orig-source: Try harder to get reproducible tarballs
  * debian/patches/gcc-4.7.patch: Fix gcc 4.7 build issue
    Closes: #672015

 -- Andreas Tille <tille@debian.org>  Wed, 09 May 2012 15:08:00 +0200

libhmsbeagle (1.0-5) unstable; urgency=low

  [Charles Plessy]
  * debian/upstream
    - renamed from debian/upstream-metadata.yaml
    - fixed title field

  [Andreas Tille]
  * Remove useless remainings which were forgotten to clean up in last
    upload (debian/rules_peter; template comments in
    debian/patches/disable_cpu_sse_plugin.patch
  * debian/copyright:
    - Aaron Darling as Upstream-Contact because he seems to be competent for
      packaging issues
    - run `cme fix dpkg-copyright' to check for DEP5 issues
  * debian/control:
    - Architecture: linux-any because openjdk as is not available for kfreebsd
    - Build-Depends: s/default-jdk/openjdk-6-jdk/
      Closes: #661659
    - Standards-Version: 3.9.3 (no changes needed)
  * debhelper 8 (control+compat)
  * debian/upstream: moved DOI+PMID to References

 -- Andreas Tille <tille@debian.org>  Mon, 05 Mar 2012 10:06:23 +0100

libhmsbeagle (1.0-4) unstable; urgency=low

  * debian/patches/disable_cpu_sse_plugin.patch: Apply patch from Peter
    Green (thanks for your help, Peter) and
    debian/rules: Enable sse for amd64 (only) to profit from plugin library
    Closes: #656755

 -- Andreas Tille <tille@debian.org>  Wed, 25 Jan 2012 13:54:59 +0100

libhmsbeagle (1.0-3) unstable; urgency=low

  * debian/patches/enable_static.patch: Enable building static
    libraries that should be contained in -dev package
  * debian/libhmsbeagle-dev.install: Install static libraries

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jan 2012 17:27:53 +0100

libhmsbeagle (1.0-2) unstable; urgency=low

  * debian/rules: Prevent compiler options -march=native and -msse2
    Closes: #656729

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jan 2012 13:54:38 +0100

libhmsbeagle (1.0-1) unstable; urgency=low

  * Initial upload to Debian (Closes: #656609)
  * debian/get-orig-source: Fetch tagged version instead of trunk
  * debian/watch: Detect new tags
  * debian/control:
    - Add Java library package
    - Added needed Java (Build-)Depends
    - Moved citation information to upstream-metadata.yaml and
      README.Debian
  * debian/rules: Build Java Library
  * debian/copyright: DEP5
  * debian/libhmsbeagle-dev.lintian-overrides: Make less noise about
    broken doxygen manpages
  * debian/upstream-metadata.yaml: Citation information

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jan 2012 22:43:44 +0100

libhmsbeagle (0.1052-2) unstable; urgency=low

  * Initial build for PPA/experimental.  

 -- Tim Booth <tbooth@ceh.ac.uk>  Mon, 12 Dec 2011 17:52:41 +0000

=== debian/control ===
Source: libhmsbeagle
Priority: extra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 8), autotools-dev, dh-autoreconf,
 doxygen, javahelper (>=0.25), openjdk-6-jdk, ant
Standards-Version: 3.9.3
Section: libs
Homepage: http://code.google.com/p/beagle-lib
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/libhmsbeagle/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/libhmsbeagle/trunk

Package: libhmsbeagle-dev
Section: libdevel
Architecture: linux-any
Depends: libhmsbeagle1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics
 BEAGLE is a high-performance library that can perform the core calculations at
 the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
 can make use of highly-parallel processors such as those in graphics cards
 (GPUs) found in many PCs.
 . 
 The project involves an open API and fast implementations of a library for
 evaluating phylogenetic likelihoods (continuous time Markov processes) of
 biomolecular sequence evolution.
 .
 The aim is to provide high performance evaluation 'services' to a wide range
 of phylogenetic software, both Bayesian samplers and Maximum Likelihood
 optimizers.  This allows these packages to make use of implementations that
 make use of optimized hardware such as graphics processing units.
 .
 This package contains development files needed to build against Beagle library.

Package: libhmsbeagle1
Section: libs
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics
 BEAGLE is a high-performance library that can perform the core calculations at
 the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
 can make use of highly-parallel processors such as those in graphics cards
 (GPUs) found in many PCs.
 . 
 The project involves an open API and fast implementations of a library for
 evaluating phylogenetic likelihoods (continuous time Markov processes) of
 biomolecular sequence evolution.
 .
 The aim is to provide high performance evaluation 'services' to a wide range
 of phylogenetic software, both Bayesian samplers and Maximum Likelihood
 optimizers.  This allows these packages to make use of implementations that
 make use of optimized hardware such as graphics processing units.

Package: libhmsbeagle-java
Architecture: linux-any
Section: java
Depends: ${java:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${java:Recommends}
Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics
 BEAGLE is a high-performance library that can perform the core calculations at
 the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
 can make use of highly-parallel processors such as those in graphics cards
 (GPUs) found in many PCs.
 . 
 The project involves an open API and fast implementations of a library for
 evaluating phylogenetic likelihoods (continuous time Markov processes) of
 biomolecular sequence evolution.
 .
 The aim is to provide high performance evaluation 'services' to a wide range
 of phylogenetic software, both Bayesian samplers and Maximum Likelihood
 optimizers.  This allows these packages to make use of implementations that
 make use of optimized hardware such as graphics processing units.
 .
 This package contains the Java interface.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules of libhmsbeagle

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
use_sse := $(shell if [ `dpkg-architecture -qDEB_BUILD_ARCH` = amd64 ] ; then echo yes ; else echo no ; fi)

%:
	dh $@ --with autoreconf --with javahelper

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure -- --enable-doxygen-man --enable-march-native=no --enable-sse=$(use_sse)

override_dh_auto_build:
	$(MAKE)
	$(MAKE) doxygen-doc
	ant

override_dh_auto_install:
	dh_auto_install
	#Shunt jni .so to jni directory.
	mkdir -p -m755 debian/tmp/usr/lib/jni
	mv debian/tmp/usr/lib/*jni.* debian/tmp/usr/lib/jni

	# will be removed later anyway (see below)
	# sed -i "s/libdir='\/usr\/lib'/libdir='\/usr\/lib\/jni'/" debian/tmp/usr/lib/jni/libhmsbeagle-jni.la

	# Remove unneeded *.la files according to
	# http://lists.debian.org/debian-devel/2009/08/msg00783.html
	# Release goal: Getting rid of unneeded *.la / emptying dependency_libs
	find debian -name "*.la" -delete

override_dh_installman:
	# Fix whatis entry of doxygen generated man pages if possible
	find doc/man/man3 -name "*.3" -exec sed -i "/^.SH NAME/{;N;N;N;s/\(.SH NAME\)[[:space:]]*\([A-Za-z].*-\).*.PP[[:space:]]*\([A-Za-z].*\)/\1\n\2 \3/g;}" \{\} \;
	dh_installman

override_dh_auto_clean:
	$(MAKE) -f Makefile distclean || true
	rm -rf doc .config configure
	rm -rf lib build

# Does not help to fix the lintian issue ... hmmm
#override_dh_shlibdeps:
#	# somehow shlibdeps is not called for jni subdir
#	dh_shlibdeps -- debian/$(pkg)1/usr/lib/jni/* debian/$(pkg)1/usr/lib/lib*

get-orig-source:
	. debian/get-orig-source

## libhmsbeagle 1.1r1092

=== debian/changelog ===
libhmsbeagle (1.1r1092-1) experimental; urgency=low

  * Package SVN trunk because it is required for beast-mcmc

 -- Andreas Tille <tille@debian.org>  Sun, 16 Dec 2012 21:47:26 +0100

libhmsbeagle (1.1-1) experimental; urgency=low

  * New upstream release
     - debian/patches/disable_cpu_sse_plugin.patch:  Seems upstream
       has solved the problem a bit differently than in this patch
       -> droping it for the moment
  * debian/get-orig-source: use xz compression
  * debhelper 9 (control+compat)
  * debian/libhmsbeagle-dev.lintian-overrides: deleted; no need for overrides
    any more
  * debian/control:
     - Build-Depends: s/openjdk-6-jdk/default-jdk (>= 1:1.6)/
       (Thanks for the patch to James Page <james.page@ubuntu.com>)
       Closes: #684054
     - Pre-Depend: multiarch-support

 -- Andreas Tille <tille@debian.org>  Fri, 14 Dec 2012 19:23:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: libhmsbeagle
-Priority: extra
+Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
 Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
  Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 8), autotools-dev, dh-autoreconf,
- doxygen, javahelper (>=0.25), openjdk-6-jdk, ant
+Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf,
+ doxygen, javahelper (>=0.25), default-jdk (>= 1:1.6), ant,
+ dh-linktree, libjs-jquery
 Standards-Version: 3.9.3
 Section: libs
 Homepage: http://code.google.com/p/beagle-lib
@@ -16,7 +17,7 @@
 Section: libdevel
 Architecture: linux-any
 Depends: libhmsbeagle1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics
+Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics (devel)
  BEAGLE is a high-performance library that can perform the core calculations at
  the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
  can make use of highly-parallel processors such as those in graphics cards
@@ -34,8 +35,8 @@
  This package contains development files needed to build against Beagle library.
 
 Package: libhmsbeagle1
-Section: libs
 Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics
  BEAGLE is a high-performance library that can perform the core calculations at
@@ -57,7 +58,7 @@
 Section: java
 Depends: ${java:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Recommends: ${java:Recommends}
-Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics
+Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics (java)
  BEAGLE is a high-performance library that can perform the core calculations at
  the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
  can make use of highly-parallel processors such as those in graphics cards

## libhmsbeagle 2.1

=== debian/changelog ===
libhmsbeagle (2.1-2) unstable; urgency=medium

  * debian/libhmsbeagle-dev.links: Link to non-versioned include files since
    it is used that way in mrbayes (and probably others)

 -- Andreas Tille <tille@debian.org>  Mon, 13 Jan 2014 17:00:56 +0100

libhmsbeagle (2.1-1) unstable; urgency=medium

  * New upstream version
    manpages for examples are not built by default
    Closes: #713882
  * debian/control:
     - Standards-Version: 3.9.5
     - Build-Depends: graphviz

 -- Andreas Tille <tille@debian.org>  Sun, 22 Dec 2013 21:45:23 +0100

libhmsbeagle (1.1r1092-2) unstable; urgency=low

  * Upload to unstable because it
    Closes: #720562
  * debian/control:
     - cme fix dpkg-control
     - anonscm in Vcs fields

 -- Andreas Tille <tille@debian.org>  Fri, 23 Aug 2013 14:17:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,30 @@
 Source: libhmsbeagle
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
+           Andreas Tille <tille@debian.org>
+Section: libs
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
- Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf,
- doxygen, javahelper (>=0.25), default-jdk (>= 1:1.6), ant,
- dh-linktree, libjs-jquery
-Standards-Version: 3.9.3
-Section: libs
+Build-Depends: debhelper (>= 9),
+               autotools-dev,
+               dh-autoreconf,
+               doxygen,
+               graphviz,
+               javahelper,
+               default-jdk (>= 1:1.6),
+               ant,
+               dh-linktree,
+               libjs-jquery
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/libhmsbeagle/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/libhmsbeagle/trunk/
 Homepage: http://code.google.com/p/beagle-lib
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/libhmsbeagle/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/libhmsbeagle/trunk
 
 Package: libhmsbeagle-dev
+Architecture: linux-any
 Section: libdevel
-Architecture: linux-any
-Depends: libhmsbeagle1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libhmsbeagle1 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics (devel)
  BEAGLE is a high-performance library that can perform the core calculations at
  the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
@@ -36,8 +44,9 @@
 
 Package: libhmsbeagle1
 Architecture: linux-any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics
  BEAGLE is a high-performance library that can perform the core calculations at
  the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
@@ -56,7 +65,9 @@
 Package: libhmsbeagle-java
 Architecture: linux-any
 Section: java
-Depends: ${java:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${java:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: ${java:Recommends}
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics (java)
  BEAGLE is a high-performance library that can perform the core calculations at
@@ -74,3 +85,4 @@
  make use of optimized hardware such as graphics processing units.
  .
  This package contains the Java interface.
+

=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g" \
  http://beagle-lib.googlecode.com/svn/tags/ beagle_release_([_.\d]+)/ \
   debian debian/get-orig-source

## libhmsbeagle 2.1.2

=== debian/changelog ===
libhmsbeagle (2.1.2-1) unstable; urgency=medium

  * New upstream version
  * Moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Wed, 01 Oct 2014 11:36:11 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                ant,
                dh-linktree,
                libjs-jquery
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/libhmsbeagle/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/libhmsbeagle/trunk/
 Homepage: http://code.google.com/p/beagle-lib
@@ -85,4 +85,3 @@
  make use of optimized hardware such as graphics processing units.
  .
  This package contains the Java interface.
-

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules of libhmsbeagle

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
lib := $(pkg)1
use_sse := $(shell if [ `dpkg-architecture -qDEB_BUILD_ARCH` = amd64 ] ; then echo yes ; else echo no ; fi)

%:
	dh $@ --with autoreconf --with javahelper

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure -- --enable-doxygen-man --enable-march-native=no --enable-sse=$(use_sse)

override_dh_auto_build:
	$(MAKE)
	$(MAKE) doxygen-doc
	ant

override_dh_install:
	dh_install
	jniso=`find debian/$(lib) -name $(pkg)-jni.so` ; \
	mkdir -p `dirname $$jniso`/jni ; \
	mv $$jniso `dirname $$jniso`/jni

override_dh_auto_clean:
	$(MAKE) -f Makefile distclean || true
	rm -rf doc .config configure
	rm -rf lib build

# Does not help to fix the lintian issue ... hmmm
#override_dh_shlibdeps:
#	# somehow shlibdeps is not called for jni subdir
#	dh_shlibdeps -- debian/$(pkg)1/usr/lib/jni/* debian/$(pkg)1/usr/lib/lib*

override_dh_installdocs:
	dh_installdocs
	find debian/$(pkg)-dev -name jquery.js -delete

get-orig-source:
	. debian/get-orig-source

## libhmsbeagle 2.1.2%2B20171110

=== debian/control ===
--- 
+++ 
@@ -4,25 +4,26 @@
            Andreas Tille <tille@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               autotools-dev,
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11~),
                doxygen,
                graphviz,
                javahelper,
                default-jdk (>= 1:1.6),
                ant,
                dh-linktree,
-               libjs-jquery
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/libhmsbeagle/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/libhmsbeagle/trunk/
-Homepage: http://code.google.com/p/beagle-lib
+               libjs-jquery,
+               ocl-icd-opencl-dev | opencl-dev,
+               pocl-opencl-icd [amd64] | opencl-icd [amd64],
+               clinfo
+Standards-Version: 4.1.3
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libhmsbeagle.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/libhmsbeagle.git
+Homepage: https://github.com/beagle-dev/beagle-lib
 
 Package: libhmsbeagle-dev
 Architecture: linux-any
 Section: libdevel
-Depends: libhmsbeagle1 (= ${binary:Version}),
+Depends: libhmsbeagle1v5 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics (devel)
@@ -30,7 +31,7 @@
  the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
  can make use of highly-parallel processors such as those in graphics cards
  (GPUs) found in many PCs.
- . 
+ .
  The project involves an open API and fast implementations of a library for
  evaluating phylogenetic likelihoods (continuous time Markov processes) of
  biomolecular sequence evolution.
@@ -42,17 +43,20 @@
  .
  This package contains development files needed to build against Beagle library.
 
-Package: libhmsbeagle1
-Architecture: linux-any
+Package: libhmsbeagle1v5
+Architecture: amd64 i386 arm64 armhf
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         beignet-opencl-icd|mesa-opencl-icd|opencl-icd
 Pre-Depends: ${misc:Pre-Depends}
+Conflicts: libhmsbeagle1
+Replaces: libhmsbeagle1
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics
  BEAGLE is a high-performance library that can perform the core calculations at
  the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
  can make use of highly-parallel processors such as those in graphics cards
  (GPUs) found in many PCs.
- . 
+ .
  The project involves an open API and fast implementations of a library for
  evaluating phylogenetic likelihoods (continuous time Markov processes) of
  biomolecular sequence evolution.
@@ -67,14 +71,15 @@
 Section: java
 Depends: ${java:Depends},
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         libhmsbeagle1v5
 Recommends: ${java:Recommends}
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics (java)
  BEAGLE is a high-performance library that can perform the core calculations at
  the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
  can make use of highly-parallel processors such as those in graphics cards
  (GPUs) found in many PCs.
- . 
+ .
  The project involves an open API and fast implementations of a library for
  evaluating phylogenetic likelihoods (continuous time Markov processes) of
  biomolecular sequence evolution.

## libhmsbeagle 2.1.2+20150609

=== debian/changelog ===
libhmsbeagle (2.1.2+20150609-1~bpo8+1) jessie-backports; urgency=medium

  * Backport to Jessie

 -- Andreas Tille <tille@debian.org>  Fri, 24 Jul 2015 20:06:50 +0200

libhmsbeagle (2.1.2+20150609-1) unstable; urgency=medium

  * New Git checkout featuring functionality used in beast-mcmc release
  * Moved from SVN to Git
  * Updated debian/copyright

 -- Andreas Tille <tille@debian.org>  Sat, 18 Jul 2015 20:35:03 +0200

=== debian/control ===
--- 
+++ 
@@ -4,26 +4,25 @@
            Andreas Tille <tille@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 9),
+               autotools-dev,
+               dh-autoreconf,
                doxygen,
                graphviz,
                javahelper,
                default-jdk (>= 1:1.6),
                ant,
                dh-linktree,
-               libjs-jquery,
-               ocl-icd-opencl-dev | opencl-dev,
-               pocl-opencl-icd [amd64] | opencl-icd [amd64],
-               clinfo
-Standards-Version: 4.1.3
+               libjs-jquery
+Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libhmsbeagle.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libhmsbeagle.git
-Homepage: https://github.com/beagle-dev/beagle-lib
+Vcs-Git: git://anonscm.debian.org/debian-med/libhmsbeagle.git
+Homepage: http://code.google.com/p/beagle-lib
 
 Package: libhmsbeagle-dev
 Architecture: linux-any
 Section: libdevel
-Depends: libhmsbeagle1v5 (= ${binary:Version}),
+Depends: libhmsbeagle1 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics (devel)
@@ -43,14 +42,11 @@
  .
  This package contains development files needed to build against Beagle library.
 
-Package: libhmsbeagle1v5
-Architecture: amd64 i386 arm64 armhf
+Package: libhmsbeagle1
+Architecture: linux-any
 Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         beignet-opencl-icd|mesa-opencl-icd|opencl-icd
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Conflicts: libhmsbeagle1
-Replaces: libhmsbeagle1
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics
  BEAGLE is a high-performance library that can perform the core calculations at
  the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
@@ -71,8 +67,7 @@
 Section: java
 Depends: ${java:Depends},
          ${misc:Depends},
-         ${shlibs:Depends},
-         libhmsbeagle1v5
+         ${shlibs:Depends}
 Recommends: ${java:Recommends}
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics (java)
  BEAGLE is a high-performance library that can perform the core calculations at

=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,7 @@
 override_dh_installdocs:
 	dh_installdocs
 	find debian/$(pkg)-dev -name jquery.js -delete
+	find debian/$(pkg)-dev -name "*.md5" -delete
 
 get-orig-source:
 	. debian/get-orig-source

## libhmsbeagle 2.1.2+20160831

=== debian/changelog ===
libhmsbeagle (2.1.2+20160831-5) unstable; urgency=medium

  * Restrict Architecture to those where beignet-opencl-icd|mesa-opencl-icd
    is available (mesa-opencl-icd exists for 4 architectures)
    Closes: #842639

 -- Andreas Tille <tille@debian.org>  Wed, 02 Nov 2016 15:12:30 +0100

libhmsbeagle (2.1.2+20160831-4) unstable; urgency=medium

  * Build-Depends: pocl-opencl-icd [amd64]

 -- Andreas Tille <tille@debian.org>  Mon, 17 Oct 2016 06:51:10 +0200

libhmsbeagle (2.1.2+20160831-3) unstable; urgency=medium

  * Build-Depends: libpoclu-dev [amd64]

 -- Andreas Tille <tille@debian.org>  Sun, 16 Oct 2016 20:00:42 +0200

libhmsbeagle (2.1.2+20160831-2) unstable; urgency=medium

  * Skip tests on other architectures than amd64.
    Closes: #840725

 -- Andreas Tille <tille@debian.org>  Sun, 16 Oct 2016 15:08:44 +0200

libhmsbeagle (2.1.2+20160831-1) unstable; urgency=medium

  * New upstream commit
  * d/watch pointing to Github
  * ocl-icd-opencl-dev now provided by khronos-opencl-clhpp
    Closes: #840725
  * Fixed symlink
    Closes: #827120

 -- Andreas Tille <tille@debian.org>  Sat, 15 Oct 2016 13:15:32 +0200

libhmsbeagle (2.1.2+20160525-1) unstable; urgency=medium

  * New git commit from upstream repository
  * Fix version detection in debian/get-orig-source
  * cme fix dpkg-control
  * Provide valid HOME dir before starting test suite
    Closes: #831235
  * hardening=+bindnow

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jul 2016 16:49:10 +0200

libhmsbeagle (2.1.2+20151220-1) unstable; urgency=medium

  * New upstream Git checkout
  * debian/get-orig-source: Set date stamped version automatically
  * Build using OpenCL
  * Update URLs from GoogleCode to GitHub
  * Add missing libhmsbeagle1v5 dependency to -java package
  * Delete outdated information from debian/upstream/metadata
  * Add doc-base file

 -- Andreas Tille <tille@debian.org>  Thu, 28 Jan 2016 08:56:11 +0100

libhmsbeagle (2.1.2+20150609-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition. (Closes: #791128)

 -- Martin Pitt <mpitt@debian.org>  Wed, 05 Aug 2015 11:44:16 +0200

=== debian/control ===
--- 
+++ 
@@ -13,16 +13,20 @@
                default-jdk (>= 1:1.6),
                ant,
                dh-linktree,
-               libjs-jquery
-Standards-Version: 3.9.6
+               libjs-jquery,
+               libpoclu-dev [amd64],
+               ocl-icd-opencl-dev | opencl-dev,
+               pocl-opencl-icd [amd64] | opencl-icd [amd64],
+               clinfo
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libhmsbeagle.git
-Vcs-Git: git://anonscm.debian.org/debian-med/libhmsbeagle.git
-Homepage: http://code.google.com/p/beagle-lib
+Vcs-Git: https://anonscm.debian.org/git/debian-med/libhmsbeagle.git
+Homepage: https://github.com/beagle-dev/beagle-lib
 
 Package: libhmsbeagle-dev
 Architecture: linux-any
 Section: libdevel
-Depends: libhmsbeagle1 (= ${binary:Version}),
+Depends: libhmsbeagle1v5 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics (devel)
@@ -42,11 +46,14 @@
  .
  This package contains development files needed to build against Beagle library.
 
-Package: libhmsbeagle1
-Architecture: linux-any
+Package: libhmsbeagle1v5
+Architecture: amd64 i386 arm64 armhf
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         beignet-opencl-icd|mesa-opencl-icd|opencl-icd
 Pre-Depends: ${misc:Pre-Depends}
+Conflicts: libhmsbeagle1
+Replaces: libhmsbeagle1
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics
  BEAGLE is a high-performance library that can perform the core calculations at
  the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
@@ -67,7 +74,8 @@
 Section: java
 Depends: ${java:Depends},
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         libhmsbeagle1v5
 Recommends: ${java:Recommends}
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics (java)
  BEAGLE is a high-performance library that can perform the core calculations at

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules of libhmsbeagle

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
lib := $(pkg)1v5
use_sse := $(shell if [ `dpkg-architecture -qDEB_BUILD_ARCH` = amd64 ] ; then echo yes ; else echo no ; fi)
BUILDGNUTYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
BUILDARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

%:
	dh $@ --with autoreconf --with javahelper

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure -- --enable-doxygen-man --enable-march-native=no --enable-sse=$(use_sse) --with-opencl=/usr/include/CL

override_dh_auto_build:
	$(MAKE)
	$(MAKE) doxygen-doc
	ant

override_dh_install:
	dh_install
	jniso=`find debian/$(lib) -name $(pkg)-jni.so` ; \
	mkdir -p `dirname $$jniso`/jni ; \
	mv $$jniso `dirname $$jniso`/jni

override_dh_auto_clean:
	$(MAKE) -f Makefile distclean || true
	rm -rf doc .config configure
	rm -rf lib build

override_dh_installdocs:
	dh_installdocs
	find debian/$(pkg)-dev -name jquery.js -delete
	find debian/$(pkg)-dev -name "*.md5" -delete

# run tests only on platforms supporting opencl
# see https://lists.debian.org/debian-mentors/2015/08/msg00081.html
num_opencl_platforms := $(shell clinfo | head -n1 | sed -e "s/.*[^0-9]\([0-9]\+\)[^0-9]*$$/\1/")

ifeq ($(num_opencl_platforms),  0)
override_dh_auto_test:
	@echo "No OpenCL platform available, skipping test"	
else
override_dh_auto_test:
ifeq ($(BUILDARCH),amd64)
	# VERBOSE=1 dh_auto_test
	# pbuilder has set HOME=/nonexistent.  Since some valid HOME is needed
	# to pass the test this is set to /tmp
	HOME=/tmp make check VERBOSE=1
else
	echo "Pocl works only on amd64 properly - skip the tests on $(BUILDARCH)."
endif
endif

override_dh_link:
	dh_link
	dh_link -plibhmsbeagle-dev usr/lib/$(BUILDGNUTYPE)/libhmsbeagle-opencl.so.21 usr/lib/$(BUILDGNUTYPE)/libhmsbeagle-opencl.so

get-orig-source:
	. debian/get-orig-source

## libhmsbeagle 2.1.2+20171110

=== debian/changelog ===
libhmsbeagle (2.1.2+20171110-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * Standards-Version: 4.1.3 (no changes needed)
  * Drop Build-Depends: libpoclu-dev
    Closes: #891172
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Fri, 23 Feb 2018 09:08:56 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,16 +5,17 @@
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
-lib := $(pkg)1v5
+include /usr/share/dpkg/default.mk
+
+lib := $(DEB_SOURCE)1v5
 use_sse := $(shell if [ `dpkg-architecture -qDEB_BUILD_ARCH` = amd64 ] ; then echo yes ; else echo no ; fi)
 BUILDGNUTYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 BUILDARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 %:
-	dh $@ --with autoreconf --with javahelper
+	dh $@ --with javahelper
 
 override_dh_auto_configure:
 	./autogen.sh
@@ -27,7 +28,7 @@
 
 override_dh_install:
 	dh_install
-	jniso=`find debian/$(lib) -name $(pkg)-jni.so` ; \
+	jniso=`find debian/$(lib) -name $(DEB_SOURCE)-jni.so` ; \
 	mkdir -p `dirname $$jniso`/jni ; \
 	mv $$jniso `dirname $$jniso`/jni
 
@@ -38,8 +39,8 @@
 
 override_dh_installdocs:
 	dh_installdocs
-	find debian/$(pkg)-dev -name jquery.js -delete
-	find debian/$(pkg)-dev -name "*.md5" -delete
+	find debian/$(DEB_SOURCE)-dev -name jquery.js -delete
+	find debian/$(DEB_SOURCE)-dev -name "*.md5" -delete
 
 # run tests only on platforms supporting opencl
 # see https://lists.debian.org/debian-mentors/2015/08/msg00081.html

=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g" \
  https://github.com/beagle-dev/beagle-lib/releases .*/archive/beagle_release_(\d[\d.-_]+)\.(?:tar(?:\.gz|\.bz2)?|tgz) \
   debian debian/get-orig-source

#  https://github.com/beagle-dev/beagle-lib/releases .*/archive/beagle_release_(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz) \

## libhmsbeagle 2.1.2+git20180307

=== debian/changelog ===
libhmsbeagle (2.1.2+git20180307-1) unstable; urgency=medium

  * New Github commit
  * d/watch now scans Github commits (deleted get-orig-source)
  * Standards-Version: 4.1.4
  * Point Vcs fields to salsa.debian.org
  * Remove unused lintian override

 -- Andreas Tille <tille@debian.org>  Wed, 11 Apr 2018 14:02:53 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,7 @@
            Andreas Tille <tille@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               autotools-dev,
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11~),
                doxygen,
                graphviz,
                javahelper,
@@ -14,13 +12,12 @@
                ant,
                dh-linktree,
                libjs-jquery,
-               libpoclu-dev [amd64],
                ocl-icd-opencl-dev | opencl-dev,
                pocl-opencl-icd [amd64] | opencl-icd [amd64],
                clinfo
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libhmsbeagle.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libhmsbeagle.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/libhmsbeagle
+Vcs-Git: https://salsa.debian.org/med-team/libhmsbeagle.git
 Homepage: https://github.com/beagle-dev/beagle-lib
 
 Package: libhmsbeagle-dev

=== debian/watch ===
version=4

opts="uversionmangle=s/.*date=(\d{4})-(\d\d)-(\d\d)T.*/2.1.2+git$1$2$3/, \
    filenamemangle=s/.*date=(\d{4})-(\d\d)-(\d\d)T.*/2.1.2+git$1$2$3.tar.gz/, \
    repack,compression=xz" \
    https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=github_commits_package_json/beagle-dev/beagle-lib \
    .*/archive/(.*\.tar\.gz?.*)

## libhmsbeagle 3.1.2%2Bdfsg

=== debian/changelog ===
libhmsbeagle (3.1.2+dfsg-13build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:45:12 +0200

libhmsbeagle (3.1.2+dfsg-13) unstable; urgency=medium

  * Team upload
  * Stopping supporting OpenCL (Closes: #1025953)

 -- Pierre Gruet <pgt@debian.org>  Fri, 16 Dec 2022 22:41:31 +0100

libhmsbeagle (3.1.2+dfsg-12) unstable; urgency=medium

  * Drop beignet-opencl-icd from explicit Depends
    Closes: #996618
  * Remove Tim Booth from Uploaders (Tim, thank you for all your previous
    work)

 -- Andreas Tille <tille@debian.org>  Mon, 18 Oct 2021 09:42:01 +0200

libhmsbeagle (3.1.2+dfsg-11) unstable; urgency=medium

  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + libhmsbeagle-java, libhmsbeagle1v5: Add Multi-Arch: same.

 -- Andreas Tille <tille@debian.org>  Sun, 22 Aug 2021 10:58:21 +0200

libhmsbeagle (3.1.2+dfsg-10) unstable; urgency=medium

  * Do not confuse DEB_HOST_MULTIARCH and DEB_HOST_GNU_TYPE
    Closes: #950367

 -- Andreas Tille <tille@debian.org>  Wed, 23 Dec 2020 12:05:09 +0100

libhmsbeagle (3.1.2+dfsg-9) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Install all *.a files and remove *.la files from debian/tmp
  * Add missing stdlib.h
    Closes: #976567

 -- Andreas Tille <tille@debian.org>  Sun, 06 Dec 2020 16:53:18 +0100

libhmsbeagle (3.1.2+dfsg-8) unstable; urgency=medium

  * libhmsbeagle1v5: Architecture: linux-any
    Closes: #960260
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 11 May 2020 11:46:51 +0200

libhmsbeagle (3.1.2+dfsg-7) unstable; urgency=medium

  [ Frédéric Bonnard ]
  * Fix ppc64el FTBFS with altivec (Closes: #922776)

  [ Andreas Tille ]
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Sun, 12 Jan 2020 19:08:31 +0100

libhmsbeagle (3.1.2+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Replace DEB_HOST_GNU_TYPE by DEB_HOST_MULTIARCH
    Closes: #929560

 -- Dylan Aïssi <daissi@debian.org>  Sun, 26 May 2019 22:06:37 +0200

libhmsbeagle (3.1.2+dfsg-5) unstable; urgency=medium

  * Re-add libhmsbeagle1v5.dirs

 -- Andreas Tille <tille@debian.org>  Fri, 22 Feb 2019 15:31:02 +0100

libhmsbeagle (3.1.2+dfsg-4) unstable; urgency=medium

  * Provide libhmsbeagle-jni.so as symlink in jni subdir
    Closes: #922778

 -- Andreas Tille <tille@debian.org>  Fri, 22 Feb 2019 13:51:26 +0100

libhmsbeagle (3.1.2+dfsg-3) unstable; urgency=medium

  * Fix dankling symlink
    Closes: #919582
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Thu, 17 Jan 2019 18:36:10 +0100

libhmsbeagle (3.1.2+dfsg-2) unstable; urgency=medium

  * Fix broken symlink
    Closes: #858524

 -- Andreas Tille <tille@debian.org>  Sat, 22 Dec 2018 07:21:35 +0100

libhmsbeagle (3.1.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Force LC_ALL=C.UTF-8 encoding
  * Standards-Version: 4.2.1
  * Secure URI in copyright format
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/rules
  * Ignore test failures which are most probably not relevant on real
    hardware but occur in restricted Debian build environment (see
    https://github.com/beagle-dev/beagle-lib/issues/121 )

 -- Andreas Tille <tille@debian.org>  Tue, 18 Dec 2018 11:28:44 +0100

## libhmsbeagle 3.1.2+dfsg

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
            Andreas Tille <tille@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                doxygen,
                graphviz,
                javahelper,
                default-jdk (>= 1:1.6),
                ant,
                dh-linktree,
+               dh-exec,
                libjs-jquery,
                ocl-icd-opencl-dev | opencl-dev,
                pocl-opencl-icd [amd64] | opencl-icd [amd64],
                clinfo
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/libhmsbeagle
 Vcs-Git: https://salsa.debian.org/med-team/libhmsbeagle.git
 Homepage: https://github.com/beagle-dev/beagle-lib

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules of libhmsbeagle

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

lib := $(shell grep Package: debian/control | grep -v -e "$(DEB_SOURCE)-" | sed 's/Package: \+//')
use_sse := $(shell if [ `dpkg-architecture -qDEB_BUILD_ARCH` = amd64 ] ; then echo yes ; else echo no ; fi)
BUILDGNUTYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
BUILDARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

%:
	LC_ALL=C.UTF-8 dh $@ --with javahelper

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure -- --enable-doxygen-man --enable-march-native=no --enable-sse=$(use_sse) --with-opencl=/usr/include/CL

override_dh_auto_build:
	$(MAKE)
	$(MAKE) doxygen-doc
	ant

override_dh_auto_clean:
	$(MAKE) -f Makefile distclean || true
	rm -rf doc .config configure
	rm -rf lib build

override_dh_installdocs:
	dh_installdocs
	find debian/$(DEB_SOURCE)-dev -name jquery.js -delete
	find debian/$(DEB_SOURCE)-dev -name "*.md5" -delete

# run tests only on platforms supporting opencl
# see https://lists.debian.org/debian-mentors/2015/08/msg00081.html
num_opencl_platforms := $(shell clinfo | head -n1 | sed -e "s/.*[^0-9]\([0-9]\+\)[^0-9]*$$/\1/")

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifeq ($(num_opencl_platforms),  0)
	@echo "No OpenCL platform available, skipping test"
else
ifeq ($(BUILDARCH),amd64)
	# VERBOSE=1 dh_auto_test
	# pbuilder has set HOME=/nonexistent.  Since some valid HOME is needed
	# to pass the test this is set to /tmp
	#
	#    Ignore test failures which are most probably not relevant on real
	#    hardware but occur in restricted Debian build environment
	#      https://github.com/beagle-dev/beagle-lib/issues/121
	HOME=/tmp make check VERBOSE=1 || true
else
	echo "Pocl works only on amd64 properly - skip the tests on $(BUILDARCH)."
endif
endif
endif

override_dh_link:
	dh_link
	opencllib=`find debian/$(lib)/usr/lib -name "libhmsbeagle-opencl.so.*" | sed 's?debian/$(lib)/??' | grep -v '\.0$$'` ; \
	dh_link -plibhmsbeagle-dev $${opencllib} usr/lib/$(BUILDGNUTYPE)/libhmsbeagle-opencl.so

=== debian/watch ===
version=4

opts="uversionmangle=s/_/./g,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
   https://github.com/beagle-dev/beagle-lib/releases .*/archive/v@ANY_VERSION@@ARCHIVE_EXT@

## libhmsbeagle 4.0.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: libhmsbeagle
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
-           Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
+               cmake,
                doxygen,
                graphviz,
                javahelper,
-               default-jdk (>= 1:1.6),
+               default-jdk,
                ant,
                dh-linktree,
                dh-exec,
@@ -16,14 +16,16 @@
                ocl-icd-opencl-dev | opencl-dev,
                pocl-opencl-icd [amd64] | opencl-icd [amd64],
                clinfo
-Standards-Version: 4.3.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/libhmsbeagle
 Vcs-Git: https://salsa.debian.org/med-team/libhmsbeagle.git
 Homepage: https://github.com/beagle-dev/beagle-lib
+Rules-Requires-Root: no
 
 Package: libhmsbeagle-dev
 Architecture: linux-any
 Section: libdevel
+Multi-Arch: same
 Depends: libhmsbeagle1v5 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
@@ -45,13 +47,14 @@
  This package contains development files needed to build against Beagle library.
 
 Package: libhmsbeagle1v5
-Architecture: amd64 i386 arm64 armhf
+Architecture: linux-any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         beignet-opencl-icd|mesa-opencl-icd|opencl-icd
+         mesa-opencl-icd|opencl-icd
 Pre-Depends: ${misc:Pre-Depends}
 Conflicts: libhmsbeagle1
 Replaces: libhmsbeagle1
+Multi-Arch: same
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics
  BEAGLE is a high-performance library that can perform the core calculations at
  the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
@@ -75,6 +78,7 @@
          ${shlibs:Depends},
          libhmsbeagle1v5
 Recommends: ${java:Recommends}
+Multi-Arch: same
 Description: High-performance lib for Bayesian and Maximum Likelihood phylogenetics (java)
  BEAGLE is a high-performance library that can perform the core calculations at
  the heart of most Bayesian and Maximum Likelihood phylogenetics packages. It
